### Method

# Gtk.Window.get_icon_name

#### Declaration [src]

    const char*
    gtk_window_get_icon_name (
      GtkWindow* window
    )

#### Description [src]

Returns the name of the themed icon for the window.

Gets property | `Gtk.Window:icon-name`

#### Return value

Returns: `const char*`
the icon name or `NULL` if the window has no themed icon
Ownership is not transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string